Salla Docs
Merchant
Merchant
  • Merchant API
  • Salla OAuth 2.0
  • Merchant Dashboard
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • App Functions
  • Billing System Salla partners
  • Report Builder
  • App Onboarding
  • Communication Apps
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Change Log
Salla CLI
Merchant
Merchant
  • Merchant API
  • Salla OAuth 2.0
  • Merchant Dashboard
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • App Functions
  • Billing System Salla partners
  • Report Builder
  • App Onboarding
  • Communication Apps
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Change Log
Salla CLI
Salla - Opensource
Salla - Developers Community
  1. Settlements
  • Get Started
  • App Events
  • Create Your First App
  • Root
  • Settlements
    • List Instant Settlements
      GET
    • Create Instant Settlement
      POST
    • Update Instant Settlement
      PUT
    • Instant Settlement Details
      GET
  • App Details Builder
    • Get Started
    • Components
      • App Information
      • App Features
      • App Reviews
      • App Contact Info
      • App Brands
      • App FAQ
      • App Statistics
  • Settings
    • App Setting Details
    • Update App Settings
  • Subscriptions
    • App Subscription Details
    • Update Subscription Balance
  • Report Creator
    • Overview
    • Getting Started
    • JMESPath Tutorial
    • Salla Reports Examples
    • Understanding the Report Lifecycle
    • Report Types
      • Unit
      • Bar
      • Breakdown
      • Calendar
      • Distribution
      • Pipe
      • Plot
      • Ranking
      • Summary
      • Agrid
  • App Onboarding Steps
    • Overview
    • Get Started
    • Interfaces and Responses
    • Example
  • Communication Apps
    • Overview
    • Get Started
    • Interfaces and Responses
    • Examples
  1. Settlements

Instant Settlement Details

Production
https://api.salla.dev/admin/v2
Production
https://api.salla.dev/admin/v2
GET
https://api.salla.dev/admin/v2
/settlements/instant/{id}
Last modified:2026-02-02 10:45:55
This endpoint allows you to fetch the details for a specific settlement by passing the id as a path parameter.
This endpoint is allowed only for dropshipping applications.
Scopes
settlements.read - Settlements Read Only

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.salla.dev/admin/v2/settlements/instant/897542106' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "success": true,
    "data": {
        "id": 587246469,
        "reference_id": 385748,
        "amount": 200,
        "status": "pending"
    }
}
🟠404Record Not Found
🟠403Forbidden
🟠401Unauthorized
Modified at 2026-02-02 10:45:55
Previous
Update Instant Settlement
Next
App Details Builder